library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;
use IEEE.std_logic_unsigned.all;

entity Top_level is
    Port ( ipad_rst : in  STD_LOGIC;
           ipad_clk : in  STD_LOGIC;
           opad_1s : out  STD_LOGIC
			 );
			  
end Top_level;

architecture Behavioral of Top_level is

---------------------- declaration cmpt_pulse_1ms
COMPONENT cmpt_pulse_1ms
	PORT(
		i_clk : IN std_logic;
		i_rst : IN std_logic;          
		o_pulse_1ms : OUT std_logic
		);
	END COMPONENT;

signal pulse_1ms : std_logic;

----------------------- dclaration cmpt_1s
COMPONENT cmpt_1s
	PORT(
		i_clk : IN std_logic;
		i_rst : IN std_logic;
		i_pulse_1ms : IN std_logic;          
		o_1s : OUT std_logic
		);
	END COMPONENT;

begin
--------------------- instansiation cmpt_pulse_1ms
	M_cmpt_pulse_1ms: cmpt_pulse_1ms PORT MAP(
		i_clk => ipad_clk ,
		i_rst => ipad_rst,
		o_pulse_1ms => pulse_1ms
	);
	
-----------------------instansiation cmpt_1s
	M_cmpt_1s: cmpt_1s PORT MAP(
		i_clk => ipad_clk,
		i_rst => ipad_rst,
		i_pulse_1ms => pulse_1ms,
		o_1s => opad_1s
	);

end Behavioral;

